Application: gvSIG desktop - gvSIG bugs #5648
Descargar capa a la copia de trabajo (repositorio remoto con autorizacion).
05/14/2021 11:02 AM - Victor Montes Camara

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category:

Target version: 2.6.0-3233

Severity: Minor Add-on version:

gvSIG version: 2.6.0 Add-on build:

gvSIG build: 3222 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto: AYTOA 1
Has patch: Hito: Fase 01
Add-on name: Unknown

Description

Con el fichero de pruebas esp_provincias.csv da error al hacer el checkout.
Segun el log, parece que hay algun poligono sin cerrar:

ARN 72865204 VCSGisCheckout org.gvsig.vcsgis.lib.workspace.VCSGisWorkspacelmpl - Can't checkout.
org.gvsig.fmap.dal.feature.exception.StorelnsertFeatureException: Can't insert feature in store 'esp_provincias'.
at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.insert(DefaultFeatureStore.java:1535)
at org.gvsig.vcsgis.lib.workspace.VCSGisWorkspacelmpl.checkout(VCSGisWorkspacelmpl.java:1760)
at org.gvsig.vecsgis.lib.workspace.VCSGisWorkspacelmpl.checkout(VCSGisWorkspacelmpl.java:1698)
at org.gvsig.vesgis.swing.impl.checkout.VCSGisJCheckoutimpl.checkout(VCSGisJCheckoutimpl.java:317)
at org.gvsig.vcsgis.app.VCSGisExtension.lambda$showCheckoutDialog$5(VCSGisExtension.java:325)
at org.gvsig.vesgis.app.VCSGisDialogsHelper$VCSGisDialoginfo.performDialogAction(VCSGisDialogsHelper.java:83)
at org.gvsig.vesgis.app.VCSGisDialogsHelper$VCSGisDialoginfo.lambda$null$0(VCSGisDialogsHelper.java:137)
at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.RuntimeException: Can't insert feature.
at org.gvsig.fmap.dal.store.jdbc2.spi.operations.AppendOperation.append(AppendOperation.java:220)
at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase.append(JDBCStoreProviderBase.java:625)
at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.insert(DefaultFeatureStore.java:1507)
... 7 more
Caused by: java.lang.RuntimeException: Can't set parameters to prepared statement from the feature
(org.gvsig.fmap.dal.feature.spi.DefaultFeatureProvider@6d374e26)
at org.gvsig.fmap.dal.store.h2.H2SpatialSQLBuilder.setParameters(H2SpatialSQLBuilder.java:573)
at org.gvsig.fmap.dal.store.jdbc2.spi.operations.AppendOperation.addBatch(AppendOperation.java:225)
at org.gvsig.fmap.dal.store.jdbc2.spi.operations.AppendOperation.append(AppendOperation.java:203)
... 9 more
Caused by: java.sgl.SQLException: Can't set values for the prepared statement.
at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCSQLBuilderBase.setStatementParameters(JDBCSQLBuilderBase.java:356)
at org.gvsig.fmap.dal.store.h2.H2SpatialSQLBuilder.setParameters(H2SpatialSQLBuilder.java:565)
... 11 more
Caused by: org.gvsig.fmap.geom.operation.GeometryOperationException: Exception executing the operation with code -1 for the
geometry with type -1.
at org.gvsig.fmap.geom.jts.AbstractGeometry.convertToWKB(AbstractGeometry.java:426)
at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCSQLBuilderBase.setStatementParameters(JDBCSQLBuilderBase.java:337)
... 12 more
Caused by: org.gvsig.fmap.geom.jts.operation.towkb.WKBPolygonNotClosedException: Polygon not closed found
Se adjunta el log completo.

History

#1 - 09/14/2021 07:15 PM - Joaquin del Cerro Murciano
- Hito set to Fase 01

- Target version set to 2.6.0-3233

- Status changed from New to Fixed

Era un problema de encoding que se ha solucionado en los ultimos builds.

#2 - 08/03/2023 02:18 PM - Alvaro Anguix

- Status changed from Fixed to Closed

Files

gvSIG.zip 57.3 KB
